# RuKassa payment module for Woocommerce

This [Wordpress](https://wordpress.org/) plugin allows [Woocommerce](https://wordpress.org/plugins/woocommerce/) based store accept payments over [RuKassa universal payments protocol](https://lk.rukassa.is/api/v1/).

## Installation

This plugin depends on Woocommerce 3 and minimum requires [PHP](https://php.net/) 7 witch [cURL extension](https://secure.php.net/manual/en/book.curl.php).

### Manual installation

Please, [check release archive](https://lk.rukassa.is/main/modules), or build package which [Composer from source](#from-source).
The WordPress codex contains [instructions how to setup plugins on you site](https://codex.wordpress.org/Managing_Plugins#Manual_Plugin_Installation).

### Composer installation

This package provides automatic installation over [Composer](https://getcomposer.org/): 

```bash
composer require rukassa/woocommerce-payment-rukassa
```

This method use [Installers extension](http://composer.github.io/installers/) to menage source of your site.

#### From source

Another way is setup plugin from source.
Get package witch Composer into plugins directory of yours site source.

```bash
cd woocommerce-payment-rukassa
composer install --no-dev
``` 
